Package org.springframework.security.acls.model

# Interface PermissionGrantingStrategy

All Known Implementing Classes:
  `DefaultPermissionGrantingStrategy`

public interface PermissionGrantingStrategy
Allow customization of the logic for determining whether a permission or permissions are granted to a particular sid or sids by an `Acl`.

Since:
  3.0.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isGranted(Acl acl, List<Permission> permission, List<Sid> sids, boolean administrativeMode)`
Returns true if the supplied strategy decides that the supplied `Acl` grants access based on the supplied list of permissions and sids.

## Method Details

### isGranted

boolean isGranted(Acl acl, List<Permission> permission, List<Sid> sids, boolean administrativeMode)
Returns true if the supplied strategy decides that the supplied `Acl` grants access based on the supplied list of permissions and sids.